/*
 * Java port of Bullet (c) 2008 Martin Dvorak <jezek2@advel.cz>
 *
 * Bullet Continuous Collision Detection and Physics Library
 * Copyright (c) 2003-2007 Erwin Coumans  http://continuousphysics.com/Bullet/
 *
 * This software is provided 'as-is', without any express or implied warranty.
 * In no event will the authors be held liable for any damages arising from
 * the use of this software.
 * 
 * Permission is granted to anyone to use this software for any purpose, 
 * including commercial applications, and to alter it and redistribute it
 * freely, subject to the following restrictions:
 * 
 * 1. The origin of this software must not be misrepresented; you must not
 *    claim that you wrote the original software. If you use this software
 *    in a product, an acknowledgment in the product documentation would be
 *    appreciated but is not required.
 * 2. Altered source versions must be plainly marked as such, and must not be
 *    misrepresented as being the original software.
 * 3. This notice may not be removed or altered from any source distribution.
 */

package javabullet.linearmath;

/**
 *
 * @author jezek2
 */
public enum DebugDrawModes {
	
	DBG_NoDebug(0),
	DBG_DrawWireframe(1),
	DBG_DrawAabb(2),
	DBG_DrawFeaturesText(4),
	DBG_DrawContactPoints(8),
	DBG_NoDeactivation(16),
	DBG_NoHelpText(32),
	DBG_DrawText(64),
	DBG_ProfileTimings(128),
	DBG_EnableSatComparison(256),
	DBG_DisableBulletLCP(512),
	DBG_EnableCCD(1024),
	DBG_MAX_DEBUG_DRAW_MODE(1025);

	private int mask;

	private DebugDrawModes(int mask) {
		this.mask = mask;
	}

	public int getMask() {
		return mask;
	}
	
}
